Java.com

Ladda ned Hjälp

Utskrivbar version

Vilka är systemkraven för Java?


Denna artikel gäller för:
  • Java-versioner: 7.0, 8.0

Informationen om systemkrav på den här sidan är ett urval för att ge en överblick av vilka webbläsare och operativsystem som stöds.

Systemkrav för Java 8

Detaljerad information om systemkraven för Java 8 är tillgängliga på sidan med Java 8-systemkonfigurationer som stöds.

Windows

  • Windows 8 (skrivbord)
  • Windows 7
  • Windows Vista SP2
  • Windows Server 2008 R2 SP1 (64-bitars)
  • Windows Server 2012 (64-bitars)
  • RAM: 128 Mbyte
  • Diskutrymmet: 124 Mbyte för JRE, 2 Mbyte för Java Update
  • Processor: Pentium 2-processor på 266 MHz eller snabbare
  • Webbläsare: Internet Explorer 9 och senare, Firefox, Chrome

Mac OS X

  • Intel-baserad Mac med Mac OS X 10.8.3 och senare, 10.9 och senare
  • Administratörsbehörighet för installation
  • 64-bitars webbläsare
En 64-bitars webbläsare (t.ex. Safari eller Firefox) krävs för att köra Oracle Java i Mac OS X. 64-bitars Chrome är i betastadiet.

Linux

  • Oracle Linux 5.5 och senare1
  • Oracle Linux 6.x (32-bitars), 6.x (64-bitars)2
  • Oracle Linux 7.x (64-bitars)2
  • Red Hat Enterprise Linux 5.5 och senare1, 6.x (32-bitars), 6.x (64-bitars)2
  • Ubuntu Linux 12.04 LTS, 13.x
  • Suse Linux Enterprise Server 10 SP2 och senare, 11.x
  • Webbläsare: Firefox
Systemkrav för Solaris

Mer information om vilka plattformar, operativsystem, skrivbordshanterare och webbläsare som stöds finns i Java 8-systemkonfigurationer.



Systemkrav för Java 7

Detaljerad information om systemkraven för Java 7 är tillgängliga på sidan med Java 7-systemkonfigurationer som stöds.

Windows

  • Windows 8 (skrivbord)
  • Windows 7
  • Windows Vista SP2
  • Windows Server 2008
  • Windows Server 2012 (64-bitars)
  • RAM: 128 Mbyte
  • Diskutrymmet: 124 Mbyte för JRE, 2 Mbyte för Java Update
  • Processor: Pentium 2-processor på 266 MHz eller snabbare
  • Webbläsare: Internet Explorer 7.0 eller senare, Firefox 3.6 eller senare, Chrome

Obs! Från och med den 8 april 2014 stöder inte Microsoft Windows XP längre och därför är det inte längre en plattform som stöds officiellt. Användare kan fortfarande använda Java 7-uppdateringar i Windows XP på egen risk, men support kommer endast att tillhandahållas för Microsoft Windows Vista och senare. Mer information finns i Third Party Vendor-Specific Support Terms on Oracle Software Technical Support Policies (pdf).

Mac OS X

  • Intel-baserad Mac med Mac OS X 10.7.3 och senare, 10.8.3 och senare, 10.9 och senare
  • Administratörsbehörighet för installation
  • 64-bitars webbläsare
En 64-bitars webbläsare (t.ex. Safari eller Firefox) krävs för att köra Oracle Java i Mac OS X. 64-bitars Chrome är i betastadiet.

Linux

  • Oracle Linux 5.5+
  • Oracle Linux 6.x (32-bitars), 6.x (64-bitars)3
  • Oracle Linux 7.x (64-bitars)3
  • Red Hat Enterprise Linux 5.5 och senare, 6.x (32-bitars), 6.x (64-bitars)3
  • Ubuntu Linux 10.04 och senare
  • Suse Linux Enterprise Server 10 SP2, 11.x
  • Webbläsare: Firefox 3.6 och senare
Systemkrav för Solaris

Mer information om vilka plattformar, operativsystem, skrivbordshanterare och webbläsare som stöds finns i Java 7-systemkonfigurationer.


Anteckningar

1 Inget JavaFX-stöd.
2 Endast 64-bitars JRE stöds.
3 Endast 64-bitars JVM är certifierad.


Välj språk | Om Java | Supportalternativ | Utvecklare
Sekretess | Användningsvillkor | Varumärken | Friskrivning

Oracle